Locale(3m17n)

NAME
m17nLocale - Locale: Locale objects and API for them.

  Typedefs
typedef struct MLocale MLocale
struct MLocale.

  Functions
MLocale * mlocale_set (int category, const char *name)
Set the current locale.
MSymbol mlocale_get_prop (MLocale *locale, MSymbol key)
Get the value of a locale property.
int mtext_ftime (MText *mt, const char *format, const struct tm *tm, MLocale *locale)
Format date and time.
MText * mtext_getenv (const char *name)
Get an environment variable.
int mtext_putenv (MText *mt)
Change or add an environment variable.
int mtext_coll (MText *mt1, MText *mt2)
Compare two M-texts using the current locale.

  Variables
MSymbol Mterritory
MSymbol Mmodifier
MSymbol Mcodeset

Detailed Description

Locale objects and API for them.

The m17n library represents locale related information as objects of type MLocale.

Typedef Documentation

  typedef struct MLocale MLocale

struct MLocale.

The structure MLocale is used to hold information about name, language, territory, modifier, codeset, and the corresponding coding system of locales.

The contents of this structure are implementation dependent. Its internal structure is concealed from application programs.

SEE ALSO
    mlocale_get_prop()

Variable Documentation

  MSymbol Mcodeset

The symbol whose name is 'codeset'.

  MSymbol Mmodifier

The symbol whose name is 'modifier'.

  MSymbol Mterritory

The symbol whose name is 'territory'.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.